./wip/py-qtpy, Provides an abstraction layer on top of the various Qt bindings

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.1.1, Package name: py27-qtpy-1.1.1, Maintainer: kamelderouiche

QtPy(pronounced 'cutie pie') is a small abstraction layer that lets you write
applications using a single api call to either PyQt or PySide.

It provides support for PyQt5, PyQt4 and PySide using the PyQt5 layout (where
the QtGui module has been split into QtGui and QtWidgets).

Basically, you write your code as if you were using PyQt5 but import qt from
qtpy instead of PyQt5.


Required to run:
[devel/py-setuptools] [x11/py-qt4] [lang/python27]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 2f8586a17942c8930ced9243d6658b7fb7a81134
RMD160: 9d669a8e521e9e5a70bdb327c7d3d02ce92dc11c
Filesize: 12.43 KB

Version history: (Expand)